Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454672 - hcid crashes when BT headset goes missing
Summary: hcid crashes when BT headset goes missing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-utils
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 17:13 UTC by Carl Roth
Modified: 2009-07-14 15:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:18:18 UTC


Attachments (Terms of Use)
gdb session trace from hcid (deleted)
2008-07-09 19:21 UTC, Carl Roth
no flags Details

Description Carl Roth 2008-07-09 17:13:24 UTC
Description of problem:

I installed a BT headset on my system (wiREVO HSH200) and paired it
successfully...  I'm able to play audio if I configure it as a pcm device in
alsa/pulse.

Pulseaudio doesn't have an easy method (at least not in KDE) of reconfiguring a
default device, so I left the default device pointed to BT.

Then, I turned the BT headset off.  The next time the system tried to play
audio, it crashed hcid and otherwise wedged the bluetooth stack.  See syslog
messages as follows:

Jul  9 10:02:37 huggy hcid[25688]: Start request timed out
Jul  9 10:02:37 huggy hcid[25688]: resume failed
Jul  9 10:02:37 huggy hcid[25688]: Audio API: sending BT_STREAMSTART_RSP
Jul  9 10:02:37 huggy pulseaudio[25962]: module-alsa-sink.c: Failed to set
hardware parameters: Input/output error
Jul  9 10:02:37 huggy kernel: hcid[25688]: segfault at 28 ip c87163ac sp
7fff49cc65e0error 4 in libaudio.so[c8701000+23000]
Jul  9 10:02:37 huggy pulseaudio[25962]: module-alsa-sink.c: Error opening PCM
devicebluetooth: Connection refused

on the other hand, this is what it looks like if the headset is turned on and
working correctly:

Jul  9 10:02:33 huggy hcid[25688]: Audio API: received BT_GETCAPABILITIES_REQ
Jul  9 10:02:33 huggy hcid[25688]: Audio API: sending BT_GETCAPABILITIES_RSP
Jul  9 10:02:33 huggy hcid[25688]: Audio API: received BT_SETCONFIGURATION_REQ
Jul  9 10:02:33 huggy hcid[25688]: config a2dp - device = 00:08:d6:50:00:3a
access_mode = 2
Jul  9 10:02:33 huggy hcid[25688]: codec sbc - frequency = 2 channel_mode = 1
allocation = 1 subbands = 1 blocks = 1 bitpool = 53
Jul  9 10:02:33 huggy hcid[25688]: Audio API: sending BT_SETCONFIGURATION_RSP
Jul  9 10:02:33 huggy hcid[25688]: Audio API: received BT_STREAMSTART_REQ


Version-Release number of selected component (if applicable):

kdebluetooth-1.0-0.41.beta8.fc9.x86_64
bluez-utils-3.32-1.fc9.x86_64
kernel-2.6.25.9-76.fc9.x86_64
pulseaudio-libs-0.9.10-1.fc9.x86_64
alsa-lib-1.0.16-3.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bastien Nocera 2008-07-09 17:34:59 UTC
Please test with the latest bluez-utils in updates-testing, and if it still
crashes, please provide a backtrace of the crash. See this page for details:
https://fedoraproject.org/wiki/StackTraces

Comment 2 Carl Roth 2008-07-09 19:20:22 UTC
I updated to bluez-utils-3.35-2.fc9.x86_64 from updates-testing, and reproduced
the crash under gdb.  I'm attaching the backtrace.

The steps are as follows:

# service bluetooth restart
# killall hcid
# gdb /usr/sbin/hcid
gdb> r -n -s -d

Then, in another window:

$ aplay -D bluetooth /usr/share/sounds/warning.wav
<<< turn off bluetooth device >>>
$ aplay -D bluetooth /usr/share/sounds/warning.wav
<<< hcid crashes at this point >>>

A snippet from my alsa.conf is as follows:

pcm.bluetooth {
  type bluetooth
  device 00:08:d6:50:00:3a
}

ctl.bluetooth {
  type hw
  card 2
}

(your BT address will be different of course)


Comment 3 Carl Roth 2008-07-09 19:21:03 UTC
Created attachment 311407 [details]
gdb session trace from hcid

Comment 4 Bug Zapper 2009-06-10 02:00:02 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:18:18 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.